import bb.cascades 1.0

Page {
    Container {
        ScrollView {
            Container {
                verticalAlignment: VerticalAlignment.Fill
                Container {
                    background: Color.create("#FA8958")
                    preferredWidth: maxWidth
                    Container {
                        leftPadding: 10
                        rightPadding: 10
                        bottomPadding: 10
                        topPadding: 10
                        Label {
                            multiline: true
                            text: nowPlaying.title
                            textStyle.fontWeight: FontWeight.Bold
                            textStyle.fontSize: FontSize.Large
                            textStyle.color: Color.Black
                        }
                    }
                }
                Container {
                    topPadding: 10
                    leftPadding: 10
                    rightPadding: 10
                    Label {
                        text: "Tags:"
                        textStyle.fontWeight: FontWeight.W600
                    }
                    Label {
                        multiline: true
                        text: nowPlaying.tag_list
                    }
                    Divider {

                    }
                    Label {
                        multiline: true
                        content.flags: TextContentFlag.ActiveText
                        activeTextHandler: ActiveTextHandler {

                        }

                        text: nowPlaying.description
                    }
                }
            }
        }
    }
}
